#ifndef __HTTPRequest_h__
#define __HTTPRequest_h__

#include "PString.h"
#include "IMFMessage.h"
#include "IMFRequest.h"
#include "IMFResponse.h"
#include "Exception.h"
#include "Log.h"

namespace http {

   class HTTPRequest : public coreutils::IMFMessage {
   
    public:
      HTTPRequest(coreutils::PString &in) : IMFMessage(in) {
         message = new IMFMessage(in);        
      }
      bool parse(coreutils::PString &in) {
         return message->parse(in);
      }
      
      coreutils::IMFRequest *request;  
      coreutils::IMFMessage *message;
      coreutils::IMFResponse response;
      
   };
   
}

#endif
